:root {
  --acc: rgba(30, 50, 30, 1);
}

* {
  box-sizing: border-box;
  border: px solid red; 
  transition: 0.5s;
  margin: 0;
}

body {
  padding: 30px;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  background-color: rgba(254, 254, 254);
}

.grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 30px;
}

.title {
  margin-bottom: 80px;
   background: linear-gradient(90deg, rgba(60, 100, 60, 1) 20%, #000 80%);  ;
   -webkit-background-clip: text;
   background-clip: text;
   -webkit-text-fill-color: transparent;
   color: transparent;
}

.title h1 {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  gap: 5px;
}

.feather.icon-plus-square {
  margin-top: 50px;
  color: red;
}

.private-link {
  text-decoration: underline;
  font-weight: 350;
}

.img_frame {
  position: relative;
  width: 300px;
  height: 300px;
  border-bottom: 25px solid #bbb;
  padding-bottom: 2px;
  box-shadow: 10px 10px 0 1px #222;
  background: linear-gradient(80deg, #999 0%, rgba(60, 100, 60, 1) 40%, #999 80%);
  background-size: 300% 100%;
  animation: moveGradient 8s linear infinite;
  margin-bottom: 20px;
  transition: translate 0s; 
}

@media (max-width: 599px) {
  .img_frame {
    width: calc(100vw - 70px);
    height: 400px;
  }
}

@keyframes moveGradient {
  0% {
    background-position: 100% 50%;
  }
  75% {
    background-position: 0% 50%;
  }
  100% {
    background-position: 100% 50%;
  }
}

.img_frame img {
  object-fit: cover;
  width: 100%;
  height: auto;
  max-height: 100%;
  min-height: 100%;
}

.p_frame {
  position: absolute;
  font-size: 12px;
  font-family: 'Courier New', Courier, monospace;
}

.copy {
  bottom: -25px;
  right: 1px;
}

.frame.open {
  overflow-y: auto;
  scroll-behavior: smooth;
}

body:has(.frame.open, .intro.open) {
  overflow: hidden;
}

.frame.open .img_frame {
  position: fixed;
  width: auto;
  max-width: 80vw;
  height: auto;
  max-height: calc(80vh - 180px);
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 998;
  box-shadow: 5px 5px 0 1px #222;
  animation: noani 0.5s;
}

.frame.open .img_frame img {
  object-fit: contain;
  max-height: calc(80vh - 230px);
  width: auto;
  max-width: 80vw;
  height: auto;  
  transition-property: none;
}

.bc_blur {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(255, 255, 255, 0.5
  );
  z-index: 888;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  display: none;
}

.close {
  display: none;
  position: fixed;
  bottom: 30px;
  left: 40px;
  right: 40px;
  z-index: 998;
  text-align: center;
  padding: 15px;
  box-shadow: 5px 5px 0 1px #222;
  background-color: rgb(187, 187, 187, 0.5);
  border: 4px solid #555;
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
  color: #000;
  font-size: 20px;
}

.close:hover {
  transition: 0.3s;
  padding: 25px;
  box-shadow: 10px 10px 0 1px #222;
  font-size: 25px;
}

.close .center {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 5px;
}

.close .feather.icon-x {
  font-size: 25px;
  margin-top: 2px;
}

.frame.open .close {
  display: inline-block;
}

.frame.open .bc_blur {
  display: block;
}


@media (orientation: landscape) {
  .frame.open .close {
    display: block;
    top: 15px;
    right: 15px;
    bottom: auto;
    left: auto;
  }
  
  .frame.open .img_frame {
    max-height: 90vh;
    max-width: calc(100vw - 250px);
  }
  
  .frame.open .img_frame img {
    max-height: calc(90vh - 30px);
    max-width: calc(100vw - 250px);
  }
}

hr {
  border: 0.5px solid #ddd;
  margin: 10px;
}

a {
  color: cornflowerblue;
  text-decoration: none;
}

footer, footer h5 {
  font-size: 12px;
  font-weight: 300;
}

.elements {
  max-width: 600px;
  max-height: 800px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 5px;
  height: 90vh;
  width: 100%;
}

.intro * {
  animation: intro 1s;
}

.intro {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(255, 255, 255, 0.8);
  z-index: 999;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 30px;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  overflow-y: auto;
  scroll-behavior: smooth;
}

.intro.open {
  display: flex;
}

.intro.close2 {
  display: none;
  animation: outro 0.5s;
}

.intro button {
  width: calc(100vw - 60px);
  max-width: 600px;
  margin: 7px;
  padding: 15px;
  box-shadow: 5px 5px 0 1px #222;
  background-color: rgb(187, 187, 187, 0.5);
  border: 4px solid #555;
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
  color: #000;
  font-size: 20px;
  animation: intro_bottom 2s 5s both;
}

.intro_p_button {
  animation: intro_bottom 2s 5s both;
  font-weight: 300;
  font-size: 15px;
  width: 100%;
  text-align: left;
}

.intro button:hover {
  transition: 0.3s;
  padding: 25px;
  box-shadow: 10px 10px 0 1px #222;
  font-size: 25px;
}

.intro h3, .intro h2, .intro p {
  width: 100%;
}

.material-symbols-outlined {
  font-size: 50px;
  border-radius: 60% 40% 30% 70% / 60% 30% 70% 40%;
  animation: morph 10s ease-in-out infinite, intro 1s both;
  padding: 20px;
  background-color: rgba(60, 100, 60, 0.7);
  color: var(--acc);
  font-weight: 800;
}

  @keyframes morph {
    0% {
      border-radius: 60% 40% 30% 70% / 60% 30% 70% 40%;
    }
    25% {
      border-radius: 45% 55% 50% 50% / 55% 45% 60% 40%;
    }
    50% {
      border-radius: 30% 70% 70% 30% / 50% 60% 40% 50%;
    }
    75% {
      border-radius: 55% 45% 40% 60% / 45% 55% 50% 50%;
    }
    100% {
      border-radius: 60% 40% 30% 70% / 60% 30% 70% 40%;
    }
  }
  
@keyframes intro_op {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
  
@keyframes intro {
  from {
    transform: translateY(-190px) scale(0.8);
    opacity: 0;
  }
  to {
    transform: translateY(0) scale(1);
    opacity: 1;
  }
}


@keyframes intro_bottom {
  0% {
    opacity: 0;
  }
  70% {
    transform: translateY(190px) scale(0.9);
    opacity: 0;
  }
  100% {
    transform: translateY(0) scale(1);
    opacity: 1;
  }
}

@keyframes intro_w {
  0% {
    opacity: 0;
  }
  99% {
   opacity: 0; 
  }
  100% {
    opacity: 1;
  }
}

@keyframes outro {
  from {
    display: flex;
    opacity: 1;
  }
  to {
    opacity: 0;
    display: none;
  }
}

@keyframes noani {
  from {
    opacity: 0.6;
    transform: scale(0.8) translate(-50%, -50%);
  }
  to {
    opacity: 1;
    transform: scale(1) translate(-50%, -50%);
  }
}